Page 1 of 1

ProcessMaker having errors on Fedora Linux

Posted: Wed Sep 25, 2019 2:22 am
by dotkickpra
Hello all.

After I install ProcessMaker 2.0.32.tar.gz on Fedora Linux, I received the error:

“Fatal error: Class'SoapClient' not found in /opt/processmaker/gulliver/system/class.soapNtlm.php on line 208

It occurred when I clicked the import option. The same also happens when trying to edit a process.

Any help will be appreciated. Thank you.

Re: ProcessMaker having errors on Fedora Linux

Posted: Wed Sep 25, 2019 5:35 pm
by amosbatto
In the terminal of your ProcessMaker server, issue this command:
php -m

If you don't see "soap" in the list, then you need to install it:
yum install php-soap

See: https://wiki.processmaker.com/index.php ... QL_and_PHP

If that isn't the problem, then what versions of Fedora, PHP, MySQL and Apache do you have installed?